# -*- coding: utf-8 -*-
"""
Created on Thu Sep 19 21:48:18 2024

@author: Mat
"""

# -*- coding: utf-8 -*-
"""
Created on Thu Sep 19 21:40:23 2024

@author: Mat
"""

import numpy as np
import matplotlib.pyplot as plt

# Définir la durée d'échantillonnage et la fréquence d'échantillonnage
t_max = 0.01  # (secondes)
fs = 100000    # Fréquence d'échantillonnage (en Hz)
t = np.arange(0, t_max, 1/fs)  # ou linspace(0, t_max, N) où N est le nombre de points

# Définir les différentes composantes du signal e(t)
e1 = 0.4
e2 = 0.2 * np.cos(2 * np.pi * 10 * t)
e3 = 0.4 * np.cos(2 * np.pi * 100 * t)
e4 = 5 * np.cos(2 * np.pi * 1000 * t)
e5 = 5 * np.cos(2 * np.pi * 10000 * t)

# Calculer e(t)
e = e1 + e2 + e3 + e4 + e5

# Définir les différentes composantes du signal s(t)
s1 = - 4
s2 = 2 * np.cos(2 * np.pi * 10 * t - np.pi)
s3 = 2.8 * np.cos(2 * np.pi * 100 * t - np.pi*5/4)
s4 = 5 * np.cos(2 * np.pi * 1000 * t - 3 * np.pi / 2)
s5 = 0.5 * np.cos(2 * np.pi * 10000 * t - 3 * np.pi / 2)

# Calculer s(t)
s = s1 + s2 + s3 + s4 + s5

# Tracer e(t) et s(t)
plt.figure(figsize=(12, 8))

# Tracer e(t)
plt.subplot(2, 1, 1)
plt.plot(t, e)
plt.title('Signal e(t)')
plt.xlabel('Temps (s)')
plt.ylabel('Amplitude')
plt.grid(True)

# Tracer s(t)
plt.subplot(2, 1, 2)
plt.plot(t, s)
plt.title('Signal s(t)')
plt.xlabel('Temps (s)')
plt.ylabel('Amplitude')
plt.grid(True)

plt.tight_layout()
plt.show()
